:root {
    --color-negro: #1B1E1C;
    --color-verde-oscuro: #1a221c;
    --color-verde-claro: #55883F;
    --color-azul-verde-intermedio: #173d28;
    --color-naranjo-claro: #d2914c;
    --color-naranjo: #DC7000;
    --color-gris: #DFDFD4;
    --color-blanco: #ffffff;
    --shadow: 0 10px 25px rgba(0, 0, 0, 0.4);
    --border-radius: 8px;
    --transition: all 0.3s ease;
}

@font-face {
    font-family: 'Inter 28pt';
    src: url('./fonts/Inter28pt-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Inter 28pt';
    src: url('./fonts/Inter28pt-SemiBold.woff2') format('woff2');
    font-weight: 600;
    font-style: normal;
    font-display: swap;
}

@font-face {
    font-family: 'Abril Fatface';
    src: url('./fonts/AbrilFatface-Regular.woff2') format('woff2');
    font-weight: 400;
    font-style: normal;
    font-display: swap;
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
}

html {

    scroll-behavior: smooth;
    overflow-x: hidden;

}

body {
    background-color: var(--color-verde-oscuro);
    transition: background-color 0.3s, color 0.3s;
}

h1 {
    font-size: clamp(2.18rem, 4vw, 3.25rem);
    color: var(--color-blanco);
    line-height: 1.2;
    font-family: 'Abril Fatface';
    letter-spacing: 2px;
    font-weight: 400;
}

h2 {
    font-size: clamp(1.65rem, 3vw, 2.5rem);
    color: var(--color-blanco);
    line-height: 1;
    font-family: 'Inter 28pt';
    letter-spacing: 2px;
    font-weight: 600;
}

h3 {
    font-size: clamp(1.25rem, 2.2vw, 1.6rem);
    color: var(--color-blanco);
    line-height: 1.1;
    font-family: 'Inter 28pt';
    letter-spacing: 1px;
    font-weight: 600;
}

p {
    font-size: 1.2rem;
    color: var(--color-blanco);
    font-weight: 400;
    font-family: 'Inter 28pt', 'Inter', sans-serif;
    line-height: 1.4;
}

a {
    font-family: 'Inter 28pt', 'Inter', sans-serif;
    font-size: 0.9rem;
    font-weight: 600;
    text-decoration: none;
    color: inherit;
    transition: var(--transition);
}

.container {
    width: 90%;
    max-width: 800px;
    margin: 0 auto;
    padding: 0 20px;
}

.negrita {
    font-weight: 600;
}

ul {
    list-style: none;
}

img {
    max-width: 100%;
    height: auto;
    display: block;
}

.mt-1 {
    margin-top: 1rem;
}

.mt-2 {
    margin-top: 2rem;
}

.mt-3 {
    margin-top: 3rem;
}

.mt-4 {
    margin-top: 4rem;
}

.mt-8 {
    margin-top: 8rem;
}

.mt-12 {
    margin-top: 12rem;
}

.mb-1 {
    margin-bottom: 1rem;
}

.mb-2 {
    margin-bottom: 2rem;
}

.mb-3 {
    margin-bottom: 3rem;
}

.mb-4 {
    margin-bottom: 4rem;
}

.mb-8 {
    margin-bottom: 8rem;
}

.mb-12 {
    margin-bottom: 12rem;
}

.text-center {
    text-align: center;
}

.text-start {
    text-align: left;
}

.text-justify {
    text-align: justify;
}

section:not(#hero) {
    padding-top: 4rem;
    padding-bottom: 28rem;
}

section h2 {
    scroll-margin-top: 2rem;
}

.header {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    z-index: 1000;
    background-color: rgba(0, 0, 0, 0);
    padding: 2rem 0;
}

.header-container {
    display: flex;
    justify-content: space-between;
    align-items: center;
    max-width: 1200px;
}

.logo-link .logo {
    width: 10rem;
    height: auto;
}

.logo-link .logo-dark {
    display: block;
}

.logo-link {
    width: 200px;
}

.nav {
    margin-left: auto;
}

.nav-list {
    display: flex;
    gap: 2rem;
    align-items: center;
}

.nav-list a {
    font-weight: 500;
    color: var(--color-blanco);
}

.nav-list a:not(.btn-header-contacto):hover {
    color: var(--color-gris);
    text-decoration: underline;
}

.header-actions {
    display: flex;
    align-items: center;
    gap: 15px;
}

.mobile-menu-btn {
    display: none;
    flex-direction: column;
    gap: 6px;
    background: none;
    border: none;
    cursor: pointer;
    z-index: 1001;
}

.mobile-menu-btn span {
    display: block;
    width: 28px;
    height: 3px;
    background-color: var(--color-blanco);
    border-radius: 3px;
    transition: var(--transition);
}

.hero {
    position: relative;
    height: 100vh;
    display: flex;
    align-items: center;
    justify-content: center;
    text-align: center;
    background:
        linear-gradient(rgba(26, 34, 28, 0.4),
            rgba(26, 34, 28, 0.4)),
        url('multimedia/fondo_hero_section_1.webp') no-repeat center center / cover;
}

.hero-content {
    position: relative;
    z-index: 2;
    max-width: 800px;

    display: flex;
    flex-direction: column;
    align-items: center;

    gap: 10rem;

    padding-top: 10rem;

    opacity: 0;
    transform: translateY(80px);
    transition: opacity 1s ease-out, transform 1s ease-out;
}

.hero-content.loaded {
    opacity: 1;
    transform: translateY(0);
}

.hero h1 {
    text-shadow: rgb(0, 0, 0) 0px 2px 2px;
    margin: 0;
}

.hero-buttons {
    margin: 0;
    display: flex;
    justify-content: center;
    gap: 3rem;
}

.hero-buttons a {
    flex: 1;
    max-width: 180px;
    text-align: center;
}

.btn-hero-1 {
    display: inline-block;
    font-size: 1rem;
    padding: 12px 20px;
    border: 2px solid var(--color-naranjo);
    border-radius: var(--border-radius);
    color: var(--color-blanco);
    background-color: rgba(220, 112, 0, 0.4);
    font-weight: 600;
}

.btn-hero-1:hover {
    background-color: rgba(220, 112, 0, 0.9);
}

.btn-hero-2 {
    display: inline-block;
    font-size: 1rem;
    padding: 12px 20px;
    border: 2px solid var(--color-verde-claro);
    border-radius: var(--border-radius);
    color: var(--color-blanco);
    background-color: rgba(85, 136, 63, 0.4);
    font-weight: 600;
}

.btn-hero-2:hover {
    background-color: rgba(85, 136, 63, 0.9);
}



.logo-sobre-wrapper {
    max-width: 300px;
    text-align: center;
}

.logo-sobre {
    max-width: 100%;
    height: auto;
    display: block;
}

.sobre-grid {
    display: grid;
    grid-template-columns: auto 1fr;
    gap: 2rem;
    align-items: center;

}

.sobre-grid .logo-sobre-wrapper {
    text-align: left;
}

.sobre-grid .logo-sobre {
    max-width: 220px;
    height: auto;
    display: block;
}

.grid-servicios {
    display: grid;
    gap: 2rem;
    grid-template-columns: 1fr;
}

.card {
    background-color: var(--color-azul-verde-intermedio);
    padding: 2.5rem;
    border-radius: var(--border-radius);
    box-shadow: var(--shadow);
    transition: var(--transition);
    border-top: 4px solid var(--color-gris);
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    height: 100%;
}

.card-content {
    flex-grow: 1;
}

.card:hover {
    transform: translateY(-8px);
    border-top-color: var(--color-verde-claro);
}

.icon {
    font-size: 3rem;
    color: var(--color-verde-claro);
}

.card h3 {
    margin-top: 2rem;
    margin-bottom: 1rem;
}

.card p {
    color: var(--color-blanco);
}

.card p a {
    font-weight: 600;
    text-decoration: underline;
}

.card p,
.card a,
.card .servicios-list li {
    font-size: 1rem;
}

.servicios-list {
    list-style: disc;
    padding-left: 1.2rem;
}

.servicios-list li {
    color: var(--color-blanco);
    font-family: 'Inter 28pt', 'Inter', sans-serif;
    line-height: 1.4;
    margin: 0.35rem 0;
}

.btn-saber-mas {
    display: inline-block;
    color: var(--color-naranjo-claro);
    font-weight: 600;
    font-size: 0.95rem;
    text-decoration: none;
    transition: var(--transition);
}

.btn-saber-mas:hover {
    color: var(--color-naranjo);
    transform: translateX(10px);
}


.video-wrapper {
    margin-top: 2rem;
    max-width: 900px;
    margin-left: auto;
    margin-right: auto;
    border-radius: var(--border-radius);
    overflow: hidden;
    box-shadow: var(--shadow);
    border: 2px solid var(--color-verde-oscuro);
    position: relative;
    padding-bottom: 56.25%;
    height: 0;
}

.video-wrapper iframe {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 100%;
    border: 0;
    display: block;
}


.cta-grid {
    display: grid;
    grid-template-columns: 1fr 1fr;
    gap: 2rem;
    align-items: start;
}

.cta-grid h3 {
    color: var(--color-naranjo-claro);
    font-weight: 600;
    letter-spacing: 1px;
}

.cta-actions {
    display: flex;
    flex-direction: column;
    gap: 1.5rem;
}


.temario-summary {
    display: flex;
    justify-content: space-between;
    align-items: center;

    width: 100%;
    padding-top: 0;

    cursor: pointer;
    user-select: none;

}

.temario-title {
    font-family: 'Inter 28pt', 'Inter', sans-serif;
    font-size: 1.15rem;
    font-weight: 600;
    color: var(--color-blanco);
}

.temario-arrow {
    font-size: 1.2rem;
    transition: transform 0.3s ease;
    color: var(--color-blanco);
}



.temario-summary::-webkit-details-marker {
    display: none;
}

.cta-temario[open] .temario-arrow {
    transform: rotate(180deg);
}

.temario-list {
    padding-left: 1.2rem;
    list-style: disc;
}

.temario-list li {
    color: var(--color-blanco);
    font-family: 'Inter 28pt', 'Inter', sans-serif;
    font-size: 1.05rem;
    line-height: 1.4;
    margin: 0.35rem 0;
}

.btn-agendar {
    display: inline-block;
    font-size: 1rem;
    padding: 12px 20px;
    border: 2px solid var(--color-naranjo);
    border-radius: var(--border-radius);
    color: var(--color-blanco);
    background-color: rgba(220, 112, 0, 0.4);
    font-weight: 600;
}

.btn-agendar:hover {
    transform: translateY(-4px);
    background-color: rgba(220, 112, 0, 0.9);
}

.section-contacto {

    color: var(--color-blanco);
    text-align: center;
    padding: 6rem 0 25rem;
}

.section-contacto h2 {
    margin-bottom: 1rem;
}

.section-contacto p {
    color: var(--color-blanco);
    margin-bottom: 2rem;
}

.email {
    color: var(--color-naranjo-claro);
}

.contact-actions {
    display: flex;
    justify-content: center;
    gap: 1.5rem;
    flex-wrap: wrap;
}

.btn-outline {
    width: 200px;
    display: inline-block;
    font-size: 1rem;
    padding: 12px 20px;
    border: 2px solid var(--color-verde-claro);
    border-radius: var(--border-radius);
    color: var(--color-blanco);
    background-color: rgba(85, 136, 63, 0.4);
    font-weight: 600;
}

.btn-outline:hover {
    transform: translateY(-4px);
    background-color: rgba(85, 136, 63, 0.9)
}

.footer {
    padding: 3rem 0;
    background-color: var(--color-negro);
    border-top: 1px solid var(--color-gris);
}

.footer-content {
    display: flex;
    justify-content: space-between;
    align-items: center;
    flex-wrap: wrap;
    gap: 2rem;
}

.footer h3 {
    font-weight: 400;
    color: var(--color-gris);
}

.footer-links a {
    margin-right: 1.5rem;
    color: var(--color-gris);
    font-size: 0.8rem;
    transition: 0.3s;
}

.footer-links a:hover {
    color: var(--color-blanco);
}


.footer .logo {
    opacity: 0.65;
    transition: opacity 0.3s ease;
}

.footer .logo:hover {
    opacity: 1;
}

.ambient-glow {
    position: fixed;
    inset: 0;
    z-index: -1;
    pointer-events: none;
    overflow: hidden;
}

.ambient-glow::before {
    content: "";
    position: absolute;
    width: 120vw;
    height: 120vh;
    top: -50%;
    left: 5%;
    background: radial-gradient(circle,
            rgba(160, 237, 127, 0.299),
            transparent 70%);
    filter: blur(140px);
}

.ambient-glow::after {
    content: "";
    position: absolute;
    width: 120vw;
    height: 120vh;
    bottom: -50%;
    right: 5%;
    background: radial-gradient(circle,
            rgba(192, 120, 42, 0.237),
            transparent 70%);
    filter: blur(160px);
}

.section-glow {
    position: relative;

}

@media (min-width: 700px) {
    .grid-servicios {
        grid-template-columns: repeat(2, 1fr);
    }
}


@media (min-width: 900px) {
    .grid-servicios.grid-servicios-2 {
        grid-template-columns: repeat(2, 1fr);
    }

    .cta-grid {
        align-items: start;
    }

    .cta-actions {
        margin-top: 0.4rem;
    }

    .temario-summary {
        padding-top: 0;
    }

}



@media (max-width: 768px) {

    .header-container {
        padding: 0 15px;
    }

    .mobile-menu-btn {
        display: flex;
    }

    .nav {
        position: fixed;
        top: 0;
        left: 0;
        width: 100%;
        height: 0;
        background-color: var(--color-verde-oscuro);
        overflow: hidden;
        transition: height 0.4s ease-in-out;
        box-shadow: 0 10px 15px var(--color-negro);
    }

    .nav.active {
        height: 100vh;
    }

    .nav-list {
        flex-direction: column;
        gap: 2rem;
        align-items: center;
        justify-content: center;
        height: 80%;
        padding: 2rem;
    }

    .hero-buttons {
        flex-direction: column;
        align-items: center;
        gap: 1.5rem;
    }

    .hero-buttons a {
        flex: 1;
        width: 200px;
        text-align: center;
    }

    .header-actions {
        gap: 20px;
    }

    .sobre-grid {
        grid-template-columns: 1fr;
        justify-items: center;
    }

    .sobre-grid .logo-sobre-wrapper {
        text-align: center;
    }

    .cta-grid {
        grid-template-columns: 1fr;
        text-align: left;
    }


    .sobre-grid .logo-sobre {
        max-width: 160px;
    }


    .section-sobre h2,
    .section-sobre p {
        text-align: center;
    }

    .section-sobre p {
        max-width: 520px;
        margin-left: auto;
        margin-right: auto;
    }

    .footer-content {
        flex-direction: column;
        align-items: center;
        text-align: center;
        gap: 2rem;
    }

}

.fade-up {
    opacity: 0;
    transform: translateY(40px);
    transition: opacity 0.9s ease, transform 0.9s ease;
}

.fade-up.visible {
    opacity: 1;
    transform: translateY(0);
}

.fade-left {
    opacity: 0;
    transform: translateX(-40px);
    transition: opacity 0.9s ease, transform 0.9s ease;
}

.fade-right {
    opacity: 0;
    transform: translateX(40px);
    transition: opacity 0.9s ease, transform 0.9s ease;
}

.fade-left.visible,
.fade-right.visible {
    opacity: 1;
    transform: translateX(0);
}




.temario-content {
    overflow: hidden;
    height: 0;
    opacity: 0;
    transition: height 0.45s ease, opacity 0.25s ease;
}